      integer function lastsl (string)                                  LAST001
c                                                                       LAST002
c     implicit complex(a-z)                                             LAST003
c     implicit none                                                     LAST004
c                                                                       LAST005
      character *(*) string                                             LAST006
      integer   i, lens                                                 LAST007
c                                                                       LAST008
      lens = len(string)                                                LAST009
      do 10 i = lens, 1, -1                                             LAST010
      if (string(i:i).eq.'/')  then                                     LAST011
         lastsl = i                                                     LAST012
         return                                                         LAST013
      end if                                                            LAST014
   10 continue                                                          LAST015
      lastsl = 0                                                        LAST016
      return                                                            LAST017
      end                                                               LAST018
